# -*- coding: utf-8 -*-
#  Copyright (c) 2021-2022 THL A29 Limited
#  #
#  This source code file is made available under MIT License
#  See LICENSE for details
#  ==============================================================================
# Generated by Django 3.1.14 on 2022-05-18 02:19

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('base', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('authen', '0002_auto_20220309_0128'),
    ]

    operations = [
        migrations.CreateModel(
            name='ScmOauthSetting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('scm_platform', models.IntegerField(choices=[(1, 'tgit'), (2, 'tgitsaas'), (3, 'coding'), (4, 'github'), (5, 'gitee'), (6, 'gitlab'), (7, 'other')], default=1, verbose_name='凭证所属平台')),
                ('client_id', models.CharField(max_length=128, verbose_name='客户端ID')),
                ('client_secret', models.CharField(max_length=128, verbose_name='客户端密码')),
                ('redirect_uri', models.CharField(max_length=64, verbose_name='回调地址')),
                ('scm_platform_desc', models.CharField(blank=True, max_length=32, null=True, verbose_name='补充其他所属平台')),
            ],
        ),
        migrations.AlterField(
            model_name='scmbaseauth',
            name='auth_type',
            field=models.CharField(choices=[('password', '账号密码'), ('oauth', 'OAuth授权'), ('ssh_token', 'SSH + Token授权')], help_text='授权方式', max_length=56),
        ),
        migrations.CreateModel(
            name='ScmAuthInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('gitoa_access_token', models.CharField(blank=True, max_length=128, null=True, verbose_name='Git OA请求访问令牌')),
                ('gitoa_refresh_token', models.CharField(blank=True, max_length=128, null=True)),
                ('scm_platform', models.IntegerField(blank=True, choices=[(1, 'tgit'), (2, 'tgitsaas'), (3, 'coding'), (4, 'github'), (5, 'gitee'), (6, 'gitlab'), (7, 'other')], default=1, help_text='凭证所属平台', null=True)),
                ('expires_at', models.IntegerField(blank=True, help_text='token过期的时间戳', null=True)),
                ('scm_platform_desc', models.CharField(blank=True, max_length=32, null=True, verbose_name='补充其他所属平台')),
                ('auth_origin', models.ForeignKey(blank=True, help_text='创建渠道', null=True, on_delete=django.db.models.deletion.SET_NULL, to='base.origin')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'unique_together': {('user', 'auth_origin', 'scm_platform')},
            },
        ),
        migrations.AddField(
            model_name='scmbaseauth',
            name='scm_oauth',
            field=models.ForeignKey(blank=True, help_text='关联的OAuth信息', null=True, on_delete=django.db.models.deletion.SET_NULL, to='authen.scmauthinfo'),
        ),
    ]
